# $Revision: 1.12 $, $Date: 2010/06/03 00:19:07 $
Summary:	Pango engine to SDL
Summary(pl.UTF-8):	Silnik Pango dla SDL
Name:		SDL_Pango
Version:	0.1.2
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/sdlpango/%{name}-%{version}.tar.gz
# Source0-md5:	85bbf9bb7b1cee0538154dadd045418c
Patch0:		%{name}-am.patch
Patch1:		%{name}-0.1.2-API-adds.patch
URL:		http://sdlpango.sourceforge.net/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pango-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pango engine to SDL.

%description -l pl.UTF-8
Silnik Pango dla SDL.

%package devel
Summary:	Header files and more to develop SDL_Pango applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_Pango
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel

%description devel
Header files and more to develop SDL_Pango applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_Pango.

%package static
Summary:	Static SDL_Pango libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_Pango
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_Pango libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_Pango.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/SDL/*
%{_pkgconfigdir}/SDL_Pango.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_Pango.spec,v $
Revision 1.12  2010/06/03 00:19:07  baggins
- rel 3

Revision 1.11  2010/02/27 21:11:12  sparky
- unify %attr() %ghost order

Revision 1.10  2009/01/07 18:26:58  qboosh
- pkgconfig epoch

Revision 1.9  2009/01/01 14:02:46  arvenil
- release 2

Revision 1.8  2009/01/01 13:50:04  arvenil
- BR: pango-devel
- BR: pkgconfig >= 0.9.0
- added %ghost

Revision 1.7  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.5  2006/10/30 15:10:23  sparky
- rel 1 (not 2, it wasn't on builders)
- there is no --disable-mmx option

Revision 1.4  2006/10/29 14:58:07  sparky
- -p1 for patch0

Revision 1.3  2006/10/28 22:53:52  shadzik
- BR: libtool

Revision 1.2  2006/10/28 21:47:25  shadzik
- add frozen-bubble API-adds patch, rel 2

Revision 1.1  2006/10/28 21:35:03  shadzik
- initial
